<div class="app-modal">
  <div class="app-modal-header bg-dark d-flex flex-row justify-content-between"><span>{% if application %}Group manager{% else %}All groups{% endif %}</span><span><i class="fa-solid fa-plus fw-light icon-btn-light app-group-create-form-btn"></i></span></div>
  <div class="app-modal-body">
    {% include "forms/app_group.html" %}
    {% if application %}
      {% if application.group_set.count == 0 %}
        <p class="text-center my-1 group-create-text">There is no group for this app. <span class="link-primary text-decoration-underline cursor-default app-group-create-form-btn">Create one</span> right now!</p>
      {% else %}
        {% for group in application.group_set.all %}
          <div class="group-display">
            {% include "cards/group.html" %}
            {% include "forms/app_group.html" %}
          </div>
        {% endfor %}
      {% endif %}
    {% else %}
      {% if owned_groups|length == 0 %}
        <p class="text-center my-1 group-create-text">You haven't created any group. <span class="link-primary text-decoration-underline cursor-default app-group-create-form-btn">Create one</span> right now!</p>
      {% else %}
        {% for group in owned_groups %}
          <div class="group-display">
            {% include "cards/group.html" %}
            {% include "forms/app_group.html" %}
          </div>
        {% endfor %}
      {% endif %}
    {% endif %}
  </div>
</div>